Page MenuHomePhabricator

Provide documentation explicitly describing what a "root problem" is
ClosedPublic

Authored by epriestley on Dec 8 2015, 6:21 PM.
Tags
None
Referenced Files
F13361816: D14707.diff
Tue, Jun 25, 3:51 PM
F13336259: D14707.diff
Wed, Jun 19, 4:17 AM
F13332780: D14707.id35575.diff
Mon, Jun 17, 6:53 PM
F13327612: D14707.diff
Sat, Jun 15, 7:19 PM
F13254692: D14707.diff
May 25 2024, 3:38 AM
F13241024: D14707.id35575.diff
May 22 2024, 6:39 PM
F13234444: D14707.diff
May 21 2024, 3:24 AM
F13216019: D14707.id35567.diff
May 17 2024, 9:53 PM
Subscribers
Tokens
"Love" token, awarded by tycho.tatitscheff.

Details

Summary

A guide to basic skills every software professional should have.

This is so fundamental that I don't think the document is actually helpful, but we can try it I guess.

Test Plan

Reading?

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Provide documentation explicitly describing what a "root problem" is.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
  • One fewer spelling mistake.
chad edited edge metadata.

only this photo is more awesome.

readImage.jpg (314×236 px, 21 KB)

This revision is now accepted and ready to land.Dec 8 2015, 6:30 PM

One idea, to really spark the importance of getting to the root problem.
Adjust the language where necessary of course.

src/docs/contributor/describing_problems.diviner
24

"Or we may not understand the true meaning of your problem, and mark it as wontfix"

This revision was automatically updated to reflect the committed changes.